export const isKingKong = true;
export const isShichang = !isKingKong; // 是否是时昌小程序环境
const systemInfo = uni.getSystemInfoSync();
export const isWeChatMiniProgram = systemInfo.hostName === 'WeChat'; // 是否是微信小程序环境
export const isXiaohongshu = systemInfo.hostName === 'xhs'; // 是否是小红书环境
const isDev = process.env.NODE_ENV === 'development' // 是否是开发环境
export const OFFICIAL_URL = 'https://elitesys.kingkongcang.com/Mini' // 跳转小程序地址
// 如果是小程序 就要写全域名， 如果是h5  自动获取域名 兼容测试环境(http://8.134.73.118:10000/api 不用进行跨域操作) 跟正式环境 自动获取域名补充
export const devURL = "https://uat.kingkongcang.com/adminApi"  // 开发环境地址 'http://118.145.200.78:10000/api http://localhost:5182/api' "https://dev.kingkongcang.com/adminApi"
export const testURL = isKingKong?"https://uat.kingkongcang.com/adminApi":"https://www.scstorage.net/adminApi"   // 测试环境地址
export const prodURL = isKingKong?"https://elitesys.kingkongcang.com/adminApi":"https://www.scstorage.net/adminApi"  // 正式环境地址
export let IsApp = false
// #ifdef APP-PLUS
IsApp = true
// #endif
export let isH5 = false// h5环境下 下单会跳转到小程序
export let RElEASE_DATE = '2026/02/26'
let accountInfo = {}
// #ifdef MP-WEIXIN || MP-XHS
accountInfo = uni.getAccountInfoSync();
isH5 = false
 // #endif
export const AppId = accountInfo?.miniProgram?.appId
export const envVersion = accountInfo?.miniProgram?.envVersion
const returnBaseUrl = () => {
	if (isWeChatMiniProgram || isXiaohongshu || IsApp) {
		if (envVersion === 'develop') {
			return devURL;
		} else if (envVersion === 'trial') {
			return testURL;
		} else if (envVersion === 'release') {
			return prodURL;
		} else {
			return prodURL;
		}
		// 预留 防止出错
		return isDev ? testURL: prodURL; // https://elitesys.kingkongcang.com/adminApi // 测试环境 https://uat.kingkongcang.com/adminApi 开发环境 https://dev.kingkongcang.com/adminApi http://localhost:5182/
		
	} else {
		return isDev 
		? `${window.location.origin}/api` 
		: `${window.location.origin}/adminApi`;
	}
};
export const baseUrl = returnBaseUrl();
export const baseImageUrl = isKingKong? 'https://elitesoss.oss-cn-guangzhou.aliyuncs.com/':'https://scstorage.oss-cn-guangzhou.aliyuncs.com/'

export const currency = isKingKong ? '￥' : '￥';
// 小程序默认金刚配色先
export const theme = ((isWeChatMiniProgram || isXiaohongshu) && isKingKong) ? 'golden' : 'default';    // 默认主题 - "default"  金刚色主题 - "golden"
export const projectInfo = {
	name: isKingKong ? '金刚迷你仓' : '时昌迷你仓',			// 名字：金刚迷你仓、时昌迷你仓
	miniName: isKingKong ? '金刚迷你仓' : '时昌迷你仓',		// 小程序名字：迷你仓订仓、时昌迷你仓
	phone: isKingKong ? '400-818-1813' : '15323894878',
	callPhone: isKingKong ? '4008181813' : '15323894878'
};
export const watermarkURL= '?x-oss-process=image/watermark,text_5Zu-54mH6K6k6K-B5LiT55So,t_80,g_center,rotate_45,color_FF0000,size_100'
// 时昌微信二维码
export const scWechatImg = baseImageUrl + "d3572937-4a9c-410e-992b-c19ff03e9ada.jpg"

export const setOrderDays = isKingKong ? 30 : 7; // 金刚小程序默认7天，其他默认30天